clang-tools 8.0.0

Public Member Functions | List of all members
clang::doc::Generator Class Referenceabstract

`#include <Generators.h>`

Inheritance diagram for clang::doc::Generator:
[legend]

## Public Member Functions
virtual | ~Generator ()=default
virtual llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS)=0

## Detailed Description

Definition at line 25 of file Generators.h.

## Constructor & Destructor Documentation

## ◆ ~Generator()

virtual clang::doc::Generator::~Generator | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ generateDocForInfo()

virtual llvm::Error clang::doc::Generator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS
| ) |  |
| pure virtual

Implemented in clang::doc::MDGenerator, and clang::doc::YAMLGenerator.

The documentation for this class was generated from the following file:

- Generators.h